#ifndef C_FUNC_DIO__
#define C_FUNC_DIO__

#include <stdint.h>

/****************************************************************
TS-DIO-24 Functions
****************************************************************/

//init TS-DIO-24
int initDIO();

//read value of dio address
uint8_t peek8(uint16_t adr);

//write value to dio address
void poke8(uint16_t adr, uint8_t val);

//read value of 3Z dio address
uint16_t peek16(uint16_t adr);

//write value to 3Z dio address
void poke16(uint16_t adr, uint16_t val);

#endif
